Package org.eclipse.graphiti.features.context

## Interface ITargetContext

All Superinterfaces:
  `IContext`, `IPropertyBag`

All Known Subinterfaces:
  `IAddConnectionContext`, `IAddContext`, `ICreateContext`, `IMoveShapeContext`

All Known Implementing Classes:
  `AddConnectionContext`, `AddContext`, `CreateContext`, `MoveShapeContext`

    public interface ITargetContext
    extends IContext

The Interface ITargetContext.

### Method Summary

All Methods Instance Methods Abstract Methods
`ContainerShape` `getTargetContainer()` Gets the target container.

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Method Detail

#### getTargetContainer

    ContainerShape getTargetContainer()

Gets the target container.

Returns:
  the target container shape where the new pictogram element (currently this has to be a shape) has to be added